import '../../stencil.core';
export declare class JsonViewer {
    el: HTMLElement;
    data: any;
    jsonLoaded: boolean;
    dataJson: string;
    jsonUrl: string;
    maxLevel: number;
    collapseAt: number;
    allowCopy: boolean;
    jsonViewer: any;
    constructor();
    componentDidLoad(): void;
    componentDidUnload(): void;
    render(): JSX.Element;
}
